aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-08-04 00:24:19 +0200
committerGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-08-04 00:24:19 +0200
commit70787578f606de82f0e0800dcc5a14faaa9f089d (patch)
tree606c1c5c21d179db71746f512bb5fcaf8bdf66b5 /tools
parent9dc45f919275c0da2a28092cac18861c6039a783 (diff)
Adding a sanity check that the cached makefile variables aren't committed.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/run_tests/run_sanity.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/run_tests/run_sanity.sh b/tools/run_tests/run_sanity.sh
index ebb09d9469..4df696706a 100755
--- a/tools/run_tests/run_sanity.sh
+++ b/tools/run_tests/run_sanity.sh
@@ -48,3 +48,8 @@ diff -u $submodules - << EOF
3e2c8a5dd79481e1d36572cdf65be93514ba6581 third_party/protobuf (v3.0.0-alpha-1-1048-g3e2c8a5)
50893291621658f355bc5b4d450a8d06a563053d third_party/zlib (v1.2.8)
EOF
+
+if [ -f cache.mk ] ; then
+ echo "Please don't commit cache.mk"
+ exit 1
+fi